Subject: Re: ixgbe select_queue broken in 2.6.28

From: David Miller <[email-masked]>
Date: Sun, 04 Jan 2009 21:36:26 -0800 (PST)

From: "Waskiewicz Jr, Peter P" <[email-masked]>
Date: Sun, 4 Jan 2009 19:23:20 -0800 (Pacific Standard Time)

> I understand why you want to remove this, but at the same time it is 
> something that is useful if we don't abuse it.  I know for a fact this 
> function pointer is very useful for routing performance setups, where 
> binding a Tx queue to the CPU is very useful.  Jesse actually did the work 
> on testing and getting good results with this.

This can be done generically, and in fact we have plans to make
this work.

All you want for routing is to remember the RX hash, and feed
that in (in some form) as the TX hash.